[med-svn] r2691 - trunk/packages/ball/trunk/debian
anhi-guest at alioth.debian.org
anhi-guest at alioth.debian.org
Sun Nov 16 14:25:47 UTC 2008
Author: anhi-guest
Date: 2008-11-16 14:25:47 +0000 (Sun, 16 Nov 2008)
New Revision: 2691
Added:
trunk/packages/ball/trunk/debian/debian-ball-install
Log:
Added build script
Added: trunk/packages/ball/trunk/debian/debian-ball-install
===================================================================
--- trunk/packages/ball/trunk/debian/debian-ball-install (rev 0)
+++ trunk/packages/ball/trunk/debian/debian-ball-install 2008-11-16 14:25:47 UTC (rev 2691)
@@ -0,0 +1,73 @@
+#!/bin/bash
+# script to build BALL / BALLView to create and compile a Debian/Ubuntu source package
+
+mymake()
+{
+ make "MAKE=make -j2"
+}
+
+#adapt to your settings
+export BALL_PATH=`pwd | sed "s/debian-upstream$//g" | sed "s/debian$//g"`
+unset QTDIR
+echo $1
+
+if [ $1 == "configure" ]
+then
+ cd $BALL_PATH/source
+ touch config.lic
+ rm -f config.cache || true
+ autoconf &&
+ ./configure \
+ --enable-libtool \
+ --prefix=$BALL_PATH/debian/ball/usr \
+ --with-libtool-rpath=/usr \
+ --disable-static \
+ --with-ball-path=/usr/share/BALL \
+ --enable-optimization \
+ --disable-debuginfo \
+ --enable-glew \
+ --enable-python \
+ --enable-fftw \
+ --enable-gsl \
+ --with-qt-libs=/usr/lib \
+ --with-moc=/usr/bin/moc-qt4 \
+ --with-uic=/usr/bin/uic-qt4
+ exit $?
+fi
+
+if [ $1 == "build" ]
+then
+ cd $BALL_PATH/source
+ make doc
+ make depend &&
+ mymake &&
+ make install &&
+ cd PYTHON/EXTENSIONS &&
+ mymake &&
+ make install &&
+ cd $BALL_PATH/source/APPLICATIONS/BALLVIEW &&
+ mymake
+ exit $?
+fi
+
+if [ $1 == "install" ]
+then
+ debian-upstream/createBALLVIEWDEB source
+ exit $?
+fi
+
+if [ $1 == "clean" ]
+then
+ cd $BALL_PATH/source
+ if [ -f Makefile ]
+ then
+ make clean
+ cd PYTHON/EXTENSIONS
+ make clean
+ rm -rf ../lib/Linux*
+ rm -rf ../doc/doxygen/latex/*
+ rm $BALL_PATH/source/config.status 2>/dev/null
+ true
+ fi
+ exit $?
+fi
Property changes on: trunk/packages/ball/trunk/debian/debian-ball-install
___________________________________________________________________
Name: svn:executable
+ *
More information about the debian-med-commit
mailing list